{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.slug": {
      "initial_state": "idle",
      "states": {
        "idle": {
          "animations": [
            "idle"
          ],

          "transitions": [
            { "crawl": "q.ground_speed > 0" },
            { "climb": "q.is_wall_climbing" }
          ],

          "blend_via_shortest_path": true,
          "blend_transition": 0.5
        },

        "crawl": {
          "animations": [
            "crawl"
          ],

          "transitions": [
            { "climb": "q.is_wall_climbing" },
            { "idle": "q.ground_speed <= 0" }
          ],

          "blend_via_shortest_path": true,
          "blend_transition": 0.5
        },

        "climb": {
          "animations": [
            "climb",
            "crawl"
          ],

          "transitions": [
            { "crawl": "q.ground_speed > 0 && !q.is_wall_climbing" },
            { "idle": "!q.is_wall_climbing" }
          ],

          "blend_via_shortest_path": true,
          "blend_transition": 0.5
        }
      }
    }
  }
}
